Package org.jmock.core

# Interface InvocationMatcher

All Superinterfaces:
  `SelfDescribing`, `Verifiable`

All Known Implementing Classes:
  `AnyArgumentsMatcher`, `ArgumentsMatcher`, `InvokeAtLeastOnceMatcher`, `InvokeAtMostOnceMatcher`, `InvokeCountMatcher`, `InvokedAfterMatcher`, `InvokedRecorder`, `InvokeOnceMatcher`, `MethodNameMatcher`, `NoArgumentsMatcher`, `StatelessInvocationMatcher`, `TestFailureMatcher`

public interface InvocationMatcher extends Verifiable, SelfDescribing

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasDescription()`
`void`
`invoked(Invocation invocation)`
`boolean`
`matches(Invocation invocation)`

### Methods inherited from interface org.jmock.core.SelfDescribing

`describeTo`

### Methods inherited from interface org.jmock.core.Verifiable

`verify`

## Method Details

### matches

boolean matches(Invocation invocation)

### invoked

void invoked(Invocation invocation)

### hasDescription

boolean hasDescription()